public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed] Handle objcopy --compress-debug-sections having no effect in pr24174.sh
@ 2019-01-01  0:00 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

With make CC=clang check on ubuntu 18.04, we run into:
...
$ make CC=clang check
  ...
child process exited abnormally
FAIL: /home/vries/dwz/dwz.git/testsuite/dwz.tests/pr24174.sh
...

The problem is that:
...
$ objcopy --compress-debug-sections 1
...
has no effect, which causes dwz to succeed rather than to fail as expected.

Fix this by marking the test-case unsupported if objcopy
--compress-debug-sections has no effect.

Committed to trunk.

Thanks,
- Tom

Handle objcopy --compress-debug-sections having no effect in pr24174.sh

2019-07-05  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/pr24174.sh: Exit with exit code 77 if objcopy
	--compress-debug-sections has no effect.

---
 testsuite/dwz.tests/pr24174.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/testsuite/dwz.tests/pr24174.sh b/testsuite/dwz.tests/pr24174.sh
index 05e1e9c..3f1db99 100644
--- a/testsuite/dwz.tests/pr24174.sh
+++ b/testsuite/dwz.tests/pr24174.sh
@@ -1,5 +1,10 @@
-cp $execs/hello 1
+exec=$execs/hello
+cp $exec 1
 objcopy --compress-debug-sections 1
+if cmp -s $exec 1; then
+    exit 77
+fi
+
 if dwz 1 2>dwz.err; status=$?; then
    true
 fi

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-07-05 16:15 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [committed] Handle objcopy --compress-debug-sections having no effect in pr24174.sh Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).